ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceOperatorDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<VoiceOperator>
      - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceOperatorDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VoiceOperatorDao
      extends ru.bitel.common.dao.AbstractIdDao<VoiceOperator>

  Даошка для работы с операторами в БД. Стандартный CRUD-набор. Реализован кеширующий механизм справочников Directory.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceOperatorDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `deleteImpl(int id)`
    `protected VoiceOperator` | `getFromRS(java.sql.ResultSet rs)`
    `protected VoiceOperator` | `getImpl(int id)` Получение одного конкретного оператора по его коду.
    `java.util.List<VoiceOperator>` | `list()` Получение списка операторов с сортировкой по коду оператора.
    `protected void` | `updateImpl(VoiceOperator b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, eq, get, getById, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceOperatorDao

          public VoiceOperatorDao(java.sql.Connection con,
                                  int mid)

  - ### Method Detail

    - #### getFromRS

          protected VoiceOperator getFromRS(java.sql.ResultSet rs)
                                     throws java.sql.SQLException,
                                            ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceOperator>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(VoiceOperator b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceOperator>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<VoiceOperator> list()
                                             throws ru.bitel.bgbilling.common.BGException

      Получение списка операторов с сортировкой по коду оператора.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteImpl

          protected int deleteImpl(int id)
                            throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `deleteImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceOperator>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getImpl

          protected VoiceOperator getImpl(int id)
                                   throws ru.bitel.bgbilling.common.BGException

      Получение одного конкретного оператора по его коду. Переопределяем из за того, что метод getFromRS берет данные не только из целевой таблицы, а в стандартной реализации get ничего подобного нет.
      Overrides:
        `getImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceOperator>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`